Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452002 - Eclipse crashes after update to firefox-3.0-1
Summary: Eclipse crashes after update to firefox-3.0-1
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-18 16:13 UTC by Thomas Diesler
Modified: 2018-04-11 07:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:07:07 UTC
thomas.diesler: needinfo-


Attachments (Terms of Use)
bugreport (deleted)
2008-06-18 16:13 UTC, Thomas Diesler
no flags Details


Links
System ID Priority Status Summary Last Updated
Eclipse Project 236724 None None None Never

Description Thomas Diesler 2008-06-18 16:13:55 UTC
Description of problem:

Eclipse-3.3.2 crashes with attached bug report

Version-Release number of selected component (if applicable):

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Removing:
 xulrunner               i386       1.9-1.fc9        installed          21 M
Removing for dependencies:
 firefox                 i386       3.0-1.fc9        installed          11 M

How reproducible:

eclipse crashes immediately after selecting a workspace or during code completion.


Workaround:

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 firefox                 i386       3.0-0.60.beta5.fc9  fedora            8.5 M
Installing for dependencies:
 xulrunner               i386       1.9-0.60.beta5.fc9  fedora            8.9 M

Comment 1 Thomas Diesler 2008-06-18 16:13:55 UTC
Created attachment 309751 [details]
bugreport

Comment 2 Colin Walters 2008-06-18 18:25:22 UTC
Hi, can you see:
http://fedoraproject.org/wiki/StackTraces
and install the necessary debuginfo packages to get a complete stack trace?

(By Fedora 10 this should not be necessary)



Comment 3 Thomas Diesler 2008-06-18 19:22:10 UTC
What are the "necessary debuginfo packages"? If you could give me a series of
yum commands that I need to execute to install them that would help.

Comment 4 Thomas Diesler 2008-06-18 19:22:41 UTC
Here is the related forum post:
http://forums.fedoraforum.org/showthread.php?p=1032776#post1032776

Comment 5 Colin Walters 2008-06-18 19:35:14 UTC
From
http://fedoraproject.org/wiki/StackTraces#What_are_debuginfo_rpms.2C_and_how_do_i_get_them.3F

debuginfo-install firefox
debuginfo-install eclipse-jdt

Should get you set up.

Comment 6 Jan Vlug 2008-07-02 20:21:45 UTC
See also: https://bugs.eclipse.org/bugs/show_bug.cgi?id=236724

Comment 7 Matěj Cepl 2008-07-28 22:45:02 UTC
There is apparently fix in the upstream Eclipse, but probably not for our
version of Eclipse. 

Reassigning to Eclipse component, so that the patch may be considered for
backporting or something.

Comment 8 Kent Sebastian 2008-07-29 14:55:04 UTC
I am running Fedora 9 32-bit with the following packages:

firefox-3.0.1-1.fc9.i386
xulrunner-1.9.0.1-1.fc9.i386
eclipse-platform-3.3.2-12.fc9.i386

and I can't reproduce the crash. 

The upstream bug report seemed to address a 32-bit/64-bit issue. 

Is the reporter seeing this on x64_64 machine (with 32-bit eclipse)? Please
provide the output of rpm -q firefox xulrunner eclipse-platform.

Thanks.

Comment 9 Bug Zapper 2009-06-10 01:41:29 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 16:07:07 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.